Figure - Bug #113610

0 O Test-ST# 113421 (New): V400 00000 0O

0 O Test-ST # 113425 (New): V4.00 0 --BSPO O --0
OBSPOOEVTIDOMEMOOOOOOODOOODOOOOODOOOrebootD O OOOOODOOODOBTOHDO

00000000000 OcrashOdump, 00000 D0OO->dumpd 00000
2022-11-0216:38-00 0000 _CDTSO O

Status: CLOSED Start date: 2022-11-02
Priority: High Due date: 2023-03-10
Assignee: gbooboo_cepTtsbod % Done: 50%
Category: LC Estimated time: 0.00 hour
Target version: VC1_FSE_0082_20230314

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.(
Resolution: FIXED Degrated: -

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description
Related issues:

Related to Figure - Bug # 113511: 0 BSPO O EVT10 O MEMO O 0O 0 0 O Us... CLOSED 2022-11-01
Related to Figure - Bug # 111971: 0 VC10 O BSPO O EVTO O powerd O ... CLOSED 2022-09-15 2023-03-10
History

#1-2022-11-0216:43-0 00000 _CDTSOO
- File full.txt added

- File full_men.log added

- File 20221102-164218.mp4 added

#2-2022-11-021822-0 00000 _CDTSO O

- Due date set to 2022-11-30
- Category set to BSP
#3-2022-11-0312:49-CDBSP-0 O O
- Status changed from New to ASSIGNED
- Target version set to VX1_MCE_FSE_V2.0_update_20221012

00 Obug#1135110 00
gobooooooooooooooo

#4 - 2022-11-04 14:05 - CD SYSTEM-0O O

0o0oooo#y7i0000oooo#/1197100ok0 0000000

[ 78.835510] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

[ 78.841811] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP

[ 78.847453] Modules linked in: wlan(O+) tsnv(O) machine_dlkm(O) wcd938x_slave_dlkm(O) wed938x_dlkm(O) wed9xxx_dlkm(O) mbhc_dlkm(O)
tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O) wsa881x_dlkm(O)
wed_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(QO) swr_dlkm(O) pinctrl_Ipi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O) native_dlkm(O) platform_dlkm(O)
g6_dlkm(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) g6_notifier_dlkm(O) g6_pdr_dlkm(O) msm_11ad_proxy

78.892538] Process modprobe (pid: 1199, stack limit = 0xffffff80173e8000)

78.899603] CPU: 4 PID: 1199 Comm: modprobe Tainted: GS W O  4.19.157+#1

78.907550] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1(MCE) EVT1 (DT)

78.916298] pstate: 60400005 (nZCv daif +PAN -UAO)

78.921226] pc : cnss_wlan_register_driver+0x2f0/0x2f8

78.926506] Ir : cnss_wlan_register_driver+0x2f0/0x2f8

— M/ —m —_ .

Thanks.

#5 - 2022-11-04 15:26 - CDBSP-0 0 O
- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CDBSP-0 0 0 to 0 0 OO OO _CDTSOO

#6 - 2022-11-1017:48 - CDBSP-0 O O
- Resolution changed from -- to DUPLICATE

#7-2022-11-1113:59 - CDTS_TEST O O
- Target version changed from VX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V3.0_update_20221130

#8-2022-11-142024-0 00000 _CDTSOO
- Parent task set to #113425

#9 - 2022-11-30 16:24 - CDTS_TEST O O
- Severity changed from Normal to Critical

#10-2023-02-0915:44-0 00000 _CDTSO O

- Status changed from RESOLVED to ASSIGNED
- Assignee changed from0 0 0 0O 0O _CDTSO O toCDBSP-00 O O
gomoniooooomerioooo0ObDuerb 00000
Ob000O00Ouwerd 00000000

#11 - 2023-02-09 21:28 - CD BSP-0 0 O
- Assignee changed from CD BSP-00 O O to CD BSP-O0 O

#12 - 2023-02-14 11:12 - CDTS-TEST O O
- Priority changed from Normal to High

#13 - 2023-02-14 15:00 - CD BSP-0O O
- File minicom.cap added
- % Done changed from 0 to 10

Hi, 00O

Olog0 O O0O0O0O0Owfilrash, DOOOODOO

[ 62.432060] Timed-out!!

[ 66.784328] DTC_ETH,link_delay_work_func:3003, SQI=0, link=0

[ 69.718335] bt_ioctl: BT_CMD_PWR_CTRL pwr_cntrl:0

[ 69.824365] bt_vreg_disable: vreg_disable successful for : gca,bt-vdd-asd

[ 69.831376] bt_vreg_disable: vreg_disable successful for : qca,bt-vdd-rfa2

[ 69.838444] bt_vreg_disable: vreg_disable successful for : qca,bt-vdd-rfal

[ 69.845504] bt_vreg_disable: vreg_disable successful for : qca,bt-vdd-dig

[ 69.852484] bt_vreg_disable: vreg_disable successful for : gca,bt-vdd-aon

[ 71.904269] DTC_ETH,link_delay_work_func:3003, SQI=0, link=0

[ 77.024273]1 DTC_ETH,link_delay_work_func:3003, SQI=0, link=0

[ 78.816037] cnss: fatal: Timeout waiting for FW ready indication

[ 78.924151] Kernel panic - not syncing: subsys-restart: Resetting the SoC - wlan crashed.

[ 78.932560] CPU: 3 PID: 89 Comm: kworker/3:1 Tainted: GS W O  4.19.157-perf+ #43
[ 78.941137] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1 EVT3 (DT)
[ 78.949896] Workqueue: events device_restart_work_hdIr

[ 78.955173] Call trace:

[ 78.957694] dump_backtrace+0x0/0x208

[ 78.961457] show_stack+0x14/0x20

[ 78.964872] dump_stack+0xb8/0xf4

[ 78.968284] panic+0x158/0x2d8

[ 78.971431] device_restart_work_hdIr+0x44/0x48

[ 78.986522] process_one_work+0x278/0x440

[ 78.990643] worker_thread+0x260/0x4a8

[ 78.994501] kthread+0x140/0x150

[ 78.997824] ret_from_fork+0x10/0x18

[ 79.001507] SMP: stopping secondary CPUs

[ 79.005541] CPUL1: stopping

[ 79.008333] CPU: 1 PID: 1208 Comm: logd.reader.per Tainted: GS W O  4.19.157-perf+ #43
[ 79.017435] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1 EVT3 (DT)
[ 79.026191] pstate: 60400005 (nZCv daif +PAN -UAO)

[ 79.031116] pc: _raw_spin_unlock_irgrestore+0x14/0x48

[ 79.036398] Ir: _wake_up_common_lock+0x84/0xc8

[ 79.041140] sp : ffffff80145f3a60

[ 79.044552] x29: ffffff80145f3a60 x28: 00000000ffffffff
#14 - 2023-02-15 18:42 - CD BSP-0O0 O
- Assignee changed from CDBSP-0 0 toCDLC O O O

Hi, 00O
000OwifilO0OO000000000000Ocrash,OOOOODOO

#15 - 2023-02-1709:59 - CD TPM-0 O O
- Target version changed from VX1_MCE_FSE_V3.0_update 20221130 to VC1_FSE_0078_20230228

#16 - 2023-02-20 17:55 - CD BSP-0 O
- Category changed from BSP to LC

#17-2023-02-2023:00-CDLCO OO

O FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0075.X1010 0 0 0 000 00O 0O
Oo000O00ODumpdOO0O0O0O0O O DumpO
gbooooboooooobod

#18-2023-02-2223:11-CDLCO OO
- % Done changed from 10 to 20

full.txtC O

01-01 08:25:20.993
01-01 08:25:20.993
01-01 08:25:20.995
01-01 08:25:20.995
01-01 08:25:20.995
01-01 08:25:20.996
01-01 08:25:20.996

0 I cnss-daemon: interop issues ap: read_iot_ap_file: No such file /data/vendor/wifi/iotap_ps.bin

0 | cnss-daemon: interop issues ap: read_iot_ap_ps_from_file, read file error

0 | cnss-daemon: Fail to bind user socket No space left on device

0| cnss-daemon: Failed to init user interface

0 | cnss-daemon: Failed to get sock name Bad file descriptor

0 I cnss-daemon: interop issues ap: save_iot_ap_file: Failed to open file /data/vendor/wifi/iotap_ps.bin

o O O o o o o

0 | cnss-daemon: interop issues ap: save_iot_ap_ps_to_file, save file error

000000 ,enss0 000 ail to bind user socket No space left on device

NSS platform driver and CNSS daemon components have a communication channel to synchronizewith
each other before interacting with WLAN firmware.
QM is proposed as a desired method ofcommunication between

CNSS platform driver and daemon

00000OSecket0 0000, 0000000000°?

#19 - 2023-02-2500:09-CDLC O O O

SystemOBSPO O O OVvVBODO3MOIDOOODOOOOOOOODOOODOOO128MO
goboooooogseoMooon

#20-2023-02-2723:25-CDLCO OO

oo3oMOOOOwfioOODOO0O0DO
goboooooooooooooOoOoOoOoOoOoOoOoOoOobOOoOoOoooo
ooooooooooooo
gboooooboooooooooobooooo

#21 - 2023-02-28 11:23 - CD SYSTEM-0O O

O0OuserdebugC DokO OO OO OODOOOODOOOO

OO0OoOdOooOOduserdd
VBO O user 0 300M0O O O ftp://cdiot@192.168.87.46/Figure/VerifyBuild/Pre_figure turbox-c2130c-lal.1-qssil2-dev/20230227/202302271446-163

#22 - 2023-02-28 11:23 - CD SYSTEM-0O O
- Assignee changed fromCDLCO 00 toO O OO OO _CDTSOO

#23-2023-02-2811:28-CDLCO OO

2023/02/28 (OO 0O,00,00,00,00,000)

gooad:

1.00000000030MO0000000 000 00 Done
200i1LO000O0OCOOOOODOO@ODOODODO), OO0, 000000O0O0,000000D07200
3000@28),0e0000000000000OO

#24 - 2023-02-28 11:28-CDLCO O O
- Status changed from ASSIGNED to NEED_INFO

#25 - 2023-02-28 14:24 - CD TPM-0 O O
- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0082_20230314

#26 - 2023-02-2822:06 -CDLC O OO
- File 20230228-teraterm.log added

oood

0000000000000000000000dreboott O
goooboooobobobobo

[ 56.948825] [MAX975X:max96755x_init] ERROR read:752 0x13:00

[ 56.954936] [MAX975X:max96755x_init] ERROR read:755 0x13:02

[ 56.960841] [MAX975X:max96755x_init] ERROR done

[ 58.336150] cnss: Timeout (40000ms) waiting for calibration to complete

[ 58.343772] cnss: ASSERT at line 2433

[ 58.354242] cnss: Mode request failed, mode: OFF, result: 1, err: 90

[ 58.848883] [MAX975X:mcu_keep_wakeup_work_func] ERROR ERR gpio detected

[ 80.960360] i2c_geni 980000.i2c: i2c error :-107

[ 80.965219] [MAX975X:max96755x_init] ERROR Failed to read dev:0x4c addr:0x0013

[ 80.973422] i2c_geni 980000.i2c: i2c error :-107

[ 80.976095] Kernel panic - not syncing: subsys-restart: Resetting the SoC - wlan crashed.

[ 80.978277] [MAX975X:max96755x_init] ERROR Failed to write dev:0x4c addr:0x0010 value:0x00
[ 80.986568] CPU: 0 PID: 18 Comm: kworker/0:1 Tainted: GS W O  4.19.157-perf+ #1

058336150 000000000 Ocnss: ASSERTOOO0DODOOODDODONOS0.976095] 0 O O O O panicO
ftp://cdiot@192.168.87.46/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230227/202302271446-163

0 O DumpQ adb pull /data/vendor/wifi/wlan_logs .0 0 0 0 0 0 O

#27-2023-03-0114:02-0 00000 _CDTSO O

- File wlan_logs.zip added

- Status changed from NEED_INFO to ASSIGNED

- AssigneechangedfromO0 00 000 _CDTSOO toCDLCO OO

0 O wlan——Iog

#28-2023-03-0322:02-CDLCO OO

ODumpdOOO0CCOCOOCOOOnospace 0 OsocketD OO OO
OO00O0ODOcase,d00O0OO"ospace"0 0 OO0
0ooo0oooooooooooogeom,0000000000O.

#29-2023-03-0420:12-CDLCO OO

1.0 0160 O O ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre _figure turbox-c2130c-lal.1-gssil2-dev/20230301/202303011636-2768
gOeooM/sdcardd D00 O00ODOOO0000000000

2.0 0 20230304 userd O O FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019.zip
O00300M/sdeard0 000 O00DOOOODOOO

#30-2023-03-0622:27-CDLCO OO

1LOSystemO OOOO0O OO ODIGOOOOO/ata0 OO0 DO DOGOO
gooooo0o0dbO0obOO0obO0obOOooDOoobOOoOU0oOO00ob00O0ObO0ObOO0ODObDOoDODUODOObDOObO
20000000000000000000DO0ODOODODO00E

3.00adbroot0 0O OO

4.0 O resgidd 10650 O reserve_boot0 0 O O OO OO Ocnss_ deemonO0 0O OO OO 0O?

00ooo00doowooooooooooooooooo

Pls enable quota feature inroduced by google since android q to prevent apps using more than 90% of disk space or 50% of inodes, intended to enhance system stability

You can check link to get detailed descriptions

https://source.android.com/docs/core/storage/faster-stats

To enable this feature

Enable the CONFIG_QUOTA, CONFIG_QFMT_V2, and CONFIG_QUOTACTL kernel options.

Add the quota option to your userdata partition in your fstab file

#31-2023-03-0722:53-CDLCO OO

goieooo,ooooo,0ooooao

20000000000000000000000000102900E
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230301/202303011636-2768
https://source.android.com/docs/core/storage/faster-stats

oooog.

0O000,00adbrootd, 000010000 0,000,000000000000WIROO0OQMIOOCOO, 00000000000 ,reboot0d0.

SystemJ O
1.0 O rebootO O O O 30s -->100s0 O O no spaced O wlan crash (O O 202303070 O )

2.00rootd 0O 00O O0.9GO O O cnss-daemond O O cnss-daemon(d vendor[ service, 0 O O O O userrootd O O O selinuxd0 OO0 0 OO0

663 service cnss-daemon /system/vendor/bin/cnss-daemon -n -
664 class late_start

665 user system

666 group system inet net_admin wifi

667 capabilities NET_ADMIN

668

00000000 0panicC000000WenD 0000000000000 0O0O00O0O0O0O0O00OO0O0O0O0OO0

#32-2023-03-0821:33-CDLCO OO

ogooo,oo,00,00,0000:

goooooo,0ooooooooo0o,0o0o0o000bo00boOwWiFDOODOOOO,00000,0D000D0O0DO.

00o0o00o0o00ooooooo,0o0o0o0000,0000,WiF0000000.

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/186449

Jenkins
http://jenkins.thundercomm.com/job/VerifyBuild_for 10T _6490/2864/

#33-2023-03-0912:30-CDLCO OO

wifild O O O ssr0), O O O subsystem_restart
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/186449

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre figure turbox-c2130c-lal.1-gssi12-dev/20230308/202303082014-2864
0000000186449 patch( O O reserve_boot=128M) 0 00 O .

oooooooo

1.00000datall, 00 000,wifi000. 0000000000 0900E
20000000@UOOOoOo0oobDGUO,wWiFDOoOOoO,wiFDoOOoOOo,00.

#34-2023-03-0912:31-CDLCO OO
- Due date changed from 2022-11-30 to 2023-03-10
- Assignee changed fromCDLCO 00 toOD O OO OO _CDTSOO

HiOO,

goooOo0OO0Comment, OOOD0OO,000000000O.
oot

#35-2023-03-0912:31-CDLCO OO
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/186449
http://jenkins.thundercomm.com/job/VerifyBuild_for_IOT_6490/2864/
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/186449
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230308/202303082014-2864

- Status changed from ASSIGNED to NEED_INFO

#36 - 2023-03-10 12:27 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
186449 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | taohp0107@thundersoft.com
r-dev

LC:WLAN: Skip calling subsystem_restart_dev if wlan ssr occurslf all user space is used, wlan ssr may cause. The system cannotstart up, and calls
subsystem_restart_dev to restart or enter 900E.At this situation, to ensure the system can start up, skip callingsubsystem_ restart_ dev and ignore wlan ssr.After the
user clears the user space and restarts the system, wlancan work normally. TC-RID: 1200-04002061ssuelD: TS-R-BUG-113610Change-Id:
10fb8bbccde4h504168030fh732e0f8879f9ad079

#37-2023-03-1012:28-CDLC OO O

- Status changed from NEED_INFO to RESOLVED
- % Done changed from 20 to 50

- Resolution changed from DUPLICATE to FIXED

Patch] Merged.
000202303110 000000000

#38 - 2023-03-14 14:32 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
184466 general/platform/vendor/qcom/kona | Pre_figure_turbox-c2130c-lal.1-vendo | xu.xia@thundersoft.com
r-dev

SYSTEM:Stability: Forcibly reserve 300M storage space in UFSIn order to prevent the userdata partition from being overwritten by users, causing the system to
freeze or errors. Change the default reserved 128M to 300M.TC-RID: 1200-08003021ssuelD: TS-R-DF-113610Change-1d:
1251bb851a32a85abce2aa8422188399366e5h989

#39 - 2023-03-14 14:32 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
185097 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xu.xia@thundersoft.com
r-dev
SYSTEM:Stability: Forcibly reserve 300M storage space in UFSIn order to prevent the userdata partition from being overwritten by users, causing the system to

freeze or errors. Change the default reserved 128M to 300M.TC-RID: 1200-0800302IssuelD: TS-R-DF-113610Change-1d:

1c2898649e0b0adbff313d486e77cadfcc1058f50

#40-2023-03-1517:52-0 0 0000 _CDTSO O
- Status changed from RESOLVED to VERIFIED

goooooooooooooooo

lL,o00d0wocOO0d00pp 0D OOODOOOO000DOO0O0DOO
200000000000 000000000adbreboot D 04200000000
3pushODOOOOOOapp0 00O Oadbreboot D 04000000000
400000000000 000000Oadbrebootd 005200000000
5.000014H0O 1401090 00-15090420 0000000

#41-2023-03-1517:53-0 0 0000 _CDTSO O
- Status changed from VERIFIED to CLOSED

Files

full.txt 2.24 MB 2022-11-02 gooooo_cecpTsgno
full_men.log 429 KB 2022-11-02 gooooo_cepTsgno
20221102-164218.mp4 4.43 MB 2022-11-02 gooooo_cecpTsgno
minicom.cap 189 KB 2023-02-14 CDBSP-00 O
20230228-teraterm.log 1.78 MB 2023-02-28 cbLconogd
wlan_logs.zip 13.7MB 2023-03-01 goOo0oOoOo_cbTsgno
